<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TEmployeePreLogDetailMapper">

	<resultMap id="tEmployeePreLogDetailMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TEmployeePreLogDetail">
		<id property="id" column="ID"/>
		<result property="type" column="TYPE"/>
		<result property="preLogId" column="PRE_LOG_ID"/>
		<result property="preId" column="PRE_ID"/>
		<result property="createBy" column="CREATE_BY"/>
		<result property="createName" column="CREATE_NAME"/>
		<result property="createTime" column="CREATE_TIME"/>
		<result property="updateBy" column="UPDATE_BY"/>
		<result property="updateTime" column="UPDATE_TIME"/>
		<result property="oldInfo" column="OLD_INFO"/>
		<result property="newInfo" column="NEW_INFO"/>
		<result property="differenceInfo" column="DIFFERENCE_INFO"/>
		<result property="modelType" column="MODEL_TYPE"/>
	</resultMap>
	<sql id="Base_Column_List">
		a.ID,
		a.TYPE,
		a.PRE_LOG_ID,
		a.PRE_ID,
		a.CREATE_BY,
		a.CREATE_NAME,
		a.CREATE_TIME,
		a.UPDATE_BY,
		a.UPDATE_TIME,
		a.OLD_INFO,
		a.NEW_INFO,
		a.DIFFERENCE_INFO,
		a.MODEL_TYPE
	</sql>
	<!--tEmployeePreLogDetail简单分页查询-->
	<select id="getTEmployeePreLogDetailList" resultMap="tEmployeePreLogDetailMap">
		SELECT
			<include refid="Base_Column_List"/>
		FROM t_employee_pre_log_detail a
		where a.PRE_ID = #{preId}
		order by a.create_time asc
	</select>
</mapper>
